Subject: Re: [5/*] [IPSEC] Use XFRM_MSG_* instead of XFRM_SAP_*

From: Masahide NAKAMURA <[email-masked]>
Date: Tue, 12 Apr 2005 17:17:05 +0900

Hello Herbert and Jamal,

jamal wrote:
> On Mon, 2005-04-11 at 01:45, Masahide NAKAMURA wrote:
> 
>>>Do you have anymore patches? If not i can give these a quick test;
>>>Masahide has a better test setup and if he has time he should as well.
>>
>>I can, but about 24 hours later. I'll test it there is no update and
>>if it isn't too late then.
>>

short report:
My testing is not completed but, I've tested below and it is fine:
 add/del/flush SP and their notifications through netlink (using modified iproute2/ip).

 new "xfrm_userpolicy_delete" works fine on this case;
 used byid=1 when deleting SP with specifying SP index.

I'll test the rest case (17 hours later):
- using pfkey
- using both sockets

Thanks,

-- 
Masahide NAKAMURA